import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { CloudFileWhereInputObjectSchema as CloudFileWhereInputObjectSchema } from './CloudFileWhereInput.schema'

const makeSchema = () => z.object({
  every: z.lazy(() => CloudFileWhereInputObjectSchema).optional(),
  some: z.lazy(() => CloudFileWhereInputObjectSchema).optional(),
  none: z.lazy(() => CloudFileWhereInputObjectSchema).optional()
}).strict();
export const CloudFileListRelationFilterObjectSchema: z.ZodType<Prisma.CloudFileListRelationFilter> = makeSchema() as unknown as z.ZodType<Prisma.CloudFileListRelationFilter>;
export const CloudFileListRelationFilterObjectZodSchema = makeSchema();
